У кого старое железо + WinXP и хочется >PHP5.5 ???

Обсуждение других вопросов связанных с веб-разработкой
Аватара пользователя
Redee
Сообщения: 218
Зарегистрирован:
28 июн 2013, 15:43

У кого старое железо + WinXP и хочется >PHP5.5 ???

Redee » 11 янв 2014, 22:40

Собственно что делать?
Можно ли собрать вручную на иксПи? (когда то собирал 5.3)
Если да - то желательны подробные инструкции Apache + >PHP5.5.

Вопросом серьезно не занимался, наперед тревожусь, пока что на PHP5.4.

Читаю тему http://open-server.ru/forum/viewtopic.php?f=1&t=1260 видимо все наперед отказываются, мда.

Как бы так выкрутиться из такой ситуации.

>>>Походу никак в рамках портативной сборки, а там уже будем чето придумывать, если придумаем.
Аватара пользователя
Максим
Сообщения: 5405
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Максим » 11 янв 2014, 23:49

VC11 с которым собирается и выпускается PHP несовместим с Windows XP. Я сейчас проверил на сайте PHP, там есть зависимости для VC9. Давайте попробую в следующей версии Open Server собрать PHP с VC9. Тогда получится восстановить совместимость с XP для PHP и Apache (он под VC9 есть и так).
Аватара пользователя
Redee
Сообщения: 218
Зарегистрирован:
28 июн 2013, 15:43

Redee » 12 янв 2014, 03:45

Ухх, должно быть опасно, но будет круто если выйдет.

Изображение
Аватара пользователя
Максим
Сообщения: 5405
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Максим » 12 янв 2014, 15:58

Redee писал(а):Ухх, должно быть опасно, но будет круто если выйдет.
Ну, как уже сказал, просто попробую, а там посмотрим будет ли глючить.
aVadim
Сообщения: 49
Зарегистрирован:
17 апр 2012, 13:12

aVadim » 12 янв 2014, 17:32

Простите за нескромный вопрос: а нафига? Просто ради удовлетворения любопытства?
Аватара пользователя
Максим
Сообщения: 5405
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Максим » 12 янв 2014, 21:04

aVadim писал(а):Простите за нескромный вопрос: а нафига? Просто ради удовлетворения любопытства?
Что за идиотский вопрос, вы читали тему? За тем фигом, чтобы у пользователей WinXP работал PHP 5.5.
Аватара пользователя
duxabilii
Сообщения: 215
Зарегистрирован:
22 июн 2011, 22:06
Контактная информация:

duxabilii » 12 янв 2014, 22:36

Пушнин А.С. писал(а): Какое низкое коварство
Полуживого забавлять
Аватара пользователя
Максим
Сообщения: 5405
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Максим » 12 янв 2014, 23:12

duxabilii писал(а):
Пушнин А.С. писал(а): Какое низкое коварство
Полуживого забавлять
Если вы думаете что Windows XP полужива, то вы глубоко заблуждаетесь. Жить она будет еще оооочень долго ;) Не важно что Microsoft больше не выпускает обновления. И раз меня просят попробовать собрать PHP под XP, то мне не сложно :-)
Alain Delon
Сообщения: 44
Зарегистрирован:
11 мар 2013, 20:40

Alain Delon » 13 янв 2014, 00:45

Мне тоже кажется, что XP уже свое изжила, и не зря многие разработчики отказываются от ее поддержки.
Аватара пользователя
Redee
Сообщения: 218
Зарегистрирован:
28 июн 2013, 15:43

Redee » 13 янв 2014, 01:17

Но люди с xp и не имением возможности обновлять железо никуда не денутся. Будем довольствоваться чем есть или вообще в леса уйдем :D
Ответить